import { marker as _ } from '@biesbjerg/ngx-translate-extract-marker';
import { HeaderElements, HeaderElementType } from '../modules/file-preview/utils/constants';

export const viewerHeaderButtonsTranslations: Record<string | HeaderElementType, string> = {
    leftPanelButton: _('pdf-viewer.header.left-panel-button'),
    thumbnailsPanelButton: _('pdf-viewer.header.thumbnails-panel-button'),
    outlinesPanelButton: _('pdf-viewer.header.outlines-panel-button'),
    outlineMultiSelect: _('pdf-viewer.header.outline-multi-select'),
    noOutlinesText: _('pdf-viewer.header.no-outlines-text'),
    layersPanelButton: _('pdf-viewer.header.layers-panel-button'),
    signaturePanelButton: _('pdf-viewer.header.signature-panel-button'),
    noSignaturesText: _('pdf-viewer.header.no-signatures-text'),
    zoomInButton: _('pdf-viewer.header.zoom-in-button'),
    zoomOutButton: _('pdf-viewer.header.zoom-out-button'),
    panToolButton: _('pdf-viewer.header.pan-tool-button'),
    selectToolButton: _('pdf-viewer.header.select-tool-button'),
    [HeaderElements.COMPARE_BUTTON]: _('pdf-viewer.header.compare-button'),
    [HeaderElements.ROTATE_LEFT_BUTTON]: _('pdf-viewer.header.rotate-left-button'),
    [HeaderElements.ROTATE_RIGHT_BUTTON]: _('pdf-viewer.header.rotate-right-button'),
    [HeaderElements.SHAPE_TOOL_GROUP_BUTTON]: _('pdf-viewer.header.rectangle-tool-button'),
    [HeaderElements.LOAD_ALL_ANNOTATIONS]: _('pdf-viewer.header.load-all-annotations'),
};
